Get addon logs
GET
/addons/{slug}/logs
const url = 'https://shoehorn.example.com/api/v1/addons/example/logs?limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shoehorn.example.com/api/v1/addons/example/logs?limit=50'Returns recent log entries from the addon runtime.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” slug
required
string
Query Parameters
Section titled “Query Parameters ” limit
integer
Responses
Section titled “ Responses ”Addon logs
Media type application/json
object
logs
Array<object>
object
timestamp
string format: date-time
level
string
message
string
fields
object
Example
{ "logs": [ { "level": "debug" } ]}